Subject: Re: What's the preferred way to export board information to userspace ?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 02 Oct 2007 18:39:23 +1000

On Tue, 2007-10-02 at 10:10 +0200, Laurent Pinchart wrote:
> Hi everybody,
> 
> it seems linuxppc-embedded is going away. I should have posted this here in 
> the first place, so sorry for the cross-post.
> 
> I need to export some read-only board-specific information (serial number, 
> boot mode jumper configuration, ...) that are collected from various locations 
> (CPLD, flash, U-Boot, ...) to userspace applications.
> 
> Could anyone advice me on the preferred way to do that ? I can easily add a 
> quick&dirty sysfs/procfs based implementation, but I was wondering if there 
> was some kind of clean and generic way.

Userspace can read /proc/device-tree no ? :-)

Appart from that, it's common to stick that sort of thing
in /proc/cpuinfo... /sys/firmware may be an option if you have shitloads
of stuff ..

Ben.